@import url('var.css');

/* UNIVERSAL STYLING */
.info {
    .close-btn {
        display: none;
    }

    .contact-content {
      display: flex;
      flex-direction: column;
      justify-content: space-evenly;
      align-items: center;
      padding: 1em;
      transition: var(--mainTransition);

      div {
        width: 100%;
        border-bottom: 1px solid var(--mainTextColor);

        .contact-item-content, a {
          display: flex;
          flex-direction: column;
          align-items: center;
          align-content: center;
          padding: 0.5em 0;
          text-decoration: none;
          color: var(--mainTextColor);
          transition: var(--mainTransition);

          p {
            text-align: center;
            margin: 0.5em 0;
            padding: 0;
          }

          svg {
            background-color: var(--mainTextColor);
            width: 2em;
            height: 2em;
            place-self: center;
            justify-self: center;
          }
        }

        #info   {mask: url("../svg/circle-info-solid.svg") no-repeat center;}
        #person {mask: url("../svg/user.svg") no-repeat center; width: 1.5em;}
        #phone  {mask: url("../svg/phone-solid.svg") no-repeat center; width: 1.5em;}
        #room   {mask: url("../svg/room.svg") no-repeat center; width: 1.5em;}
        #mail   {mask: url("../svg/mail.svg") no-repeat center; width: 1.5em;}
        #mail   {mask: url("../svg/mail.svg") no-repeat center; width: 1.5em;}
      }

      div:hover {
        a {
          transform: scale(1.05);
        }

        a p {
          text-decoration: underline;
        }
      }
    }

    .contact-content > div:last-child {
      border: none;
    }
}

/* mobile styling */
@media screen and (max-width: 720px) {
    .contact-btn {
        position: fixed;
        bottom: 3em;
        right: 3em;
        background: #333333;
        color: #fff;
        border: none;
        border-radius: 50%;
        cursor: pointer;
        width: 4em;
        height: 4em;
        display: flex;
        align-items: center;
        justify-content: center;

        svg {
            width: 3em;
            height: 3em;
            background-color: var(--mainTextColor);
        }
        #info {mask: url("../svg/circle-info-solid.svg") no-repeat center;}
    }

    .info {
        display: none;
        visibility: hidden;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        position: fixed;
        margin: 0;
        bottom: 0;
        right: 0;
        width: 0;
        height: 0;
        background-image: var(--mainGradient);
        backdrop-filter: blur(6px);
        z-index: 100;
        transition: all 0.5s ease;

        .close-btn {
            display: block;
            height: 100vh;
            width: 100vw;
            z-index: 110;
            position: fixed;
            top: 0;
            left: 0;
        }

        .contact-content {
            width: 0;
            height: 0;
            visibility: hidden;
            transition: all 0.5s ease;
            z-index: 120;
            background: var(--mainAccentColor);
            overflow: hidden;
            border-radius: 15px;
            box-shadow: var(--mainShadow);

            div {
                a {
                    display: flex;
                    flex-direction: column;
                    justify-content: center;
                    align-items: center;
                    color: var(--mainTextColor);
                    text-decoration: none;
                    text-align: center;

                    svg {
                        width: 1.5em;
                        height: 1.5em;
                        background-color: var(--mainTextColor);
                    }

                }
            }
        }
    }
}

/* desktop styling */
@media screen and (min-width: 720px) {
    .contact-btn {
      display: none;
    }

    .info {
      background-color: var(--mainBlue);
      transition: var(--mainTransition);
      margin-top: 1em;
      margin-right: 1em;
      margin-bottom: 1em;
      box-shadow: var(--mainShadow);
      border-radius: var(--mainRadius);
      min-width: fit-content;
      max-width: 10%;

      .close-btn {
        display: none;
      }
    }

    .info:hover {
      transform: scale(1.01);
    }
}
